## iec16022 0.2

=== Makefile ===
CC=/usr/bin/cc
INSTALL=/usr/bin/install
GZIP=/bin/gzip

prefix=/usr/local
bindir=$(prefix)/bin
mandir=$(prefix)/share/man

CFLAGS=-Wall

.PHONY: test clean

all: iec16022 manpage

iec16022: iec16022ecc200.o image.o iec16022.c
	$(CC) -c iec16022.c
	$(CC) -o iec16022 $(CFLAGS) reedsol.o iec16022.o image.o iec16022ecc200.o -lz -lpopt

manpage: iec16022.1
	$(GZIP) -f --best < iec16022.1 > iec16022.1.gz

install: all
	$(INSTALL) -d -m 755 $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 755 iec16022 $(DESTDIR)$(bindir)
	$(INSTALL) -m 644 iec16022.1.gz $(DESTDIR)$(mandir)/man1

test: iec16022
	cd test; ./testsuite.sh

iec16022ecc200.o: iec16022ecc200.c iec16022ecc200.h reedsol.o
	$(CC) -c iec16022ecc200.c

image.o: image.c image.h
	$(CC) -c image.c

reedsol.o: reedsol.c reedsol.h
	$(CC)  -DLIB -c reedsol.c

clean:
	rm -f iec16022 iec16022.1.gz *.o

## iec16022 0.2.4

=== debian/changelog ===
iec16022 (0.2.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Name (from ./configure), Repository-Browse.
  * Fix day-of-week for changelog entry 0.1-1.
  * Apply multi-arch hints. + libiec16022-0: Add Multi-Arch: same.

  [ Jakob Haufe ]
  * Update watchfile to use Github API
  * Bump Standards-Version

 -- Jakob Haufe <sur5r@debian.org>  Wed, 22 Feb 2023 17:01:19 +0100

iec16022 (0.2.4-2) unstable; urgency=medium

  * Salvage package (Closes: #1003851)
  * Add symbols file
  * Update watchfile
  * Bump Standards-Version

 -- Jakob Haufe <sur5r@debian.org>  Fri, 05 Aug 2022 16:44:55 +0000

iec16022 (0.2.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Refresh packaging (Closes: #999074)
    - Switch to 3.0 (quilt)
    - Switch to dh sequencer
    - Switch to compat 13
  * Drop obsolete Vcs-* fields
  * Update project homepage, watchfile (Closes: #984436)

 -- Jakob Haufe <sur5r@debian.org>  Wed, 12 Jan 2022 20:44:57 +0000

iec16022 (0.2.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick from upstream:
    - Fix EDIFACT encoding (0f2adb)
      (Closes: #773719)
    - Fix encoding of _. (45813a)
      (Closes: #429210)
    - Fix cases where data might be lost. (ebbb6e2)
      (Closes: #835296)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 19 Feb 2017 00:00:24 +0100

iec16022 (0.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #727901)

 -- Chen Baozi <baozich@gmail.com>  Fri, 06 Jun 2014 16:19:50 +0800

iec16022 (0.2.4-1) unstable; urgency=low

  * New upstream release
  * Update to policy 3.8.3 (no changes)
  * Add library package

 -- Jan Lübbe <jluebbe@debian.org>  Tue, 27 Oct 2009 13:15:59 +0100

iec16022 (0.2.3-2) unstable; urgency=low

  * Fix gitweb URL
  * Update to policy 3.8.2 (no changes)

 -- Jan Lübbe <jluebbe@debian.org>  Wed, 08 Jul 2009 00:21:40 +0200

iec16022 (0.2.3-1) unstable; urgency=low

  * New upstream release (closes: 497039)
  * Switch to debhelper 7
  * Update debian/control and debian/copyright

 -- Jan Lübbe <jluebbe@debian.org>  Wed, 18 Feb 2009 14:10:52 +0100

iec16022 (0.2-1) unstable; urgency=low

  * New upstream release
  * Created watchfile

 -- Jan Luebbe <jluebbe@lasnet.de>  Mon,  6 Feb 2006 23:17:11 +0100

iec16022 (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #347267)

 -- Jan Luebbe <jluebbe@lasnet.de>  Tue, 10 Jan 2006 11:45:06 +0100

=== debian/control ===
Source: iec16022
Section: graphics
Priority: optional
Maintainer: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev, libpopt-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/rdoeffinger/iec16022
Vcs-Git: https://salsa.debian.org/sur5r/iec16022.git
Vcs-Browser: https://salsa.debian.org/sur5r/iec16022

Package: iec16022
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generates 2d ISO/IEC 16022 barcodes (data matrix/semacode)
 The program generates a 2d datamatrix/semacode barcode from a
 parameter or from a file and produces output in various formats (png,
 eps, ascii-art).
 .
 http://www.semapedia.org/ for example uses semacode tags to create
 real-world "links" to wikipedia articles.

Package: libiec16022-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library to generate 2d ISO/IEC 16022 barcodes (data matrix/semacode)
 The library generates a 2d datamatrix/semacode barcode from a
 parameter or from a file and produces output in various formats (png,
 eps, ascii-art).
 .
 http://www.semapedia.org/ for example uses semacode tags to create
 real-world "links" to wikipedia articles.

Package: libiec16022-dev
Architecture: any
Section: libdevel
Depends: libiec16022-0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the ISO/IEC 16022 barcodes library
 The library generates a 2d datamatrix/semacode barcode from a
 parameter or from a file and produces output in various formats (png,
 eps, ascii-art).
 .
 http://www.semapedia.org/ for example uses semacode tags to create
 real-world "links" to wikipedia articles.
 .
 Install this package if you want to develop programs using libiec16022.

=== debian/watch ===
version=4

opts=searchmode=plain,filenamemangle=s/$/.tar.gz/ \
 https://api.github.com/repos/rdoeffinger/@PACKAGE@/releases \
 https://api.github.com/repos/rdoeffinger/@PACKAGE@/tarball/v@ANY_VERSION@

## iec16022 0.2.7

=== debian/changelog ===
iec16022 (0.2.7-1) unstable; urgency=medium

  * New upstream version 0.2.7

 -- Jakob Haufe <sur5r@debian.org>  Sun, 24 Mar 2024 21:41:58 +0100

iec16022 (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6

 -- Jakob Haufe <sur5r@debian.org>  Fri, 22 Mar 2024 23:25:48 +0100

iec16022 (0.2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Apply multi-arch hints. + libiec16022-dev: Add Multi-Arch: same.

  [ Jakob Haufe ]
  * Add gbp.conf
  * New upstream version 0.2.5 (Closes: #1066554)
  * Update symbols file
  * Refresh patches

 -- Jakob Haufe <sur5r@debian.org>  Fri, 15 Mar 2024 10:16:48 +0100

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
 Architecture: any
 Section: libdevel
 Depends: libiec16022-0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: Development files for the ISO/IEC 16022 barcodes library
  The library generates a 2d datamatrix/semacode barcode from a
  parameter or from a file and produces output in various formats (png,

## iec16022 0.3.1

=== debian/changelog ===
iec16022 (0.3.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Jakob Haufe <sur5r@debian.org>  Sun, 09 Feb 2025 19:18:36 +0100

iec16022 (0.3.1-1~exp1) experimental; urgency=medium

  * New upstream version 0.3.1

 -- Jakob Haufe <sur5r@debian.org>  Sat, 08 Feb 2025 21:02:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Jakob Haufe <sur5r@debian.org>
-Build-Depends: debhelper-compat (= 13), zlib1g-dev, libpopt-dev
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: libpopt-dev, zlib1g-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rdoeffinger/iec16022
@@ -20,7 +21,7 @@
  http://www.semapedia.org/ for example uses semacode tags to create
  real-world "links" to wikipedia articles.
 
-Package: libiec16022-0
+Package: libiec16022-1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -36,7 +37,7 @@
 Package: libiec16022-dev
 Architecture: any
 Section: libdevel
-Depends: libiec16022-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libiec16022-1 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Development files for the ISO/IEC 16022 barcodes library
  The library generates a 2d datamatrix/semacode barcode from a

=== debian/watch ===
version=4

opts=\
 searchmode=plain,\
 pgpsigurlmangle=s/$/.asc/ \
 https://api.github.com/repos/rdoeffinger/@PACKAGE@/releases \
 https://github.com/rdoeffinger/@PACKAGE@/releases/download/v[^/]*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
